<script>
$(document).ready(function(e) {
    	CarregarUsuarioPicasa(0);
		
		var Gerenciamento;
		$('#pnGerenciarUsuarioPicasa').dialog({
			autoOpen: false,
			modal: true,
			resizable: false,
			height : 450, // altura
			width  : 750, // largura
			buttons:{
				 	 'Salvar':function(){
						 					if($('#edtUsuarioPicasa').val() == ''){
												show('Informe um usuário do Picasa');
											    return false;
											}
											
											if(Gerenciamento == 'Salvar'){
												SalvarUsuarioPicasa('',$('#edtUsuarioPicasa').val(), Gerenciamento);
												$(this).dialog('close');
											 }
											
											if(Gerenciamento == 'update'){
												SalvarUsuarioPicasa($('#id_usuario_picasa').val(),$('#edtUsuarioPicasa').val(), Gerenciamento);
												$(this).dialog('close');
											 }
										},
					 'Cancelar': function(){$(this).dialog('close');}
			        }
		});
		
		$('#btnEditar').on('click',function(){
			Gerenciamento = 'update';
			$('#pnGerenciarUsuarioPicasa').dialog('open');
			var id_usuario_picasa = $('#id_usuario_picasa').val();
			GerenciarUsuarioPicasa(id_usuario_picasa);
			
		 	return false;
		})
		
		
		$('#btnNovo').on('click',function(){
			Gerenciamento = 'Salvar';
			$('#pnGerenciarUsuarioPicasa').dialog('open');
			GerenciarUsuarioPicasa(-1);
			
		 	return false;
		})
		
		$('#btnDeleta').on('click',function(){
			if(confirm('Gostaria de Deletar esté usuário do Picasa?')){
				DeletarUsuarioPicasa($('#id_usuario_picasa').val());	
			}
		
		 })
		 
			$('#pnLocalizarUsuarioPicasa').dialog({
				autoOpen: false,
				modal: true,
				resizable: false,
				height : 450, // altura
				width  : 750// largura
			})
		
		$('#btnLocalizar').on('click',function(){
			$('#pnLocalizarUsuarioPicasa').dialog('open');
			return false;
		})
			
		$('#btnLocDados').on('click',function(){
		LocalizarUsuarioPicasa($('#edtLocUsuarioPicasa').val());
		
		return false;
		})
		
		$(document).on('click','#btnCarregarUsuarioPicasa',function(){
		    CarregarUsuarioPicasa($(this).attr('id_usuario_picasa'));
			$('#pnLocalizarUsuarioPicasa').dialog('close');
			return false;
		})
				
		
				 
});

function CarregarUsuarioPicasa(id_usuario_picasa){
	$.ajax({
				 type: "POST",
				 url: "usuario_picasa/dados.php",
				 data: 'id_usuario_picasa='+id_usuario_picasa,
				 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');}, 
				 success: function(R){$("#pnDados").html(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnDados").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnDados").html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax
	
}

function LocalizarUsuarioPicasa(usuario){
	$.ajax({
				 type: "POST",
				 url: "usuario_picasa/localizar_itens.php",
				 data: 'usuario='+usuario,
				 beforeSend: function(){$("#pnResultado").html(Load()).fadeIn('slow');}, 
				 success: function(R){$("#pnResultado").html(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnResultado").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnResultado").html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax
	
}


function GerenciarUsuarioPicasa(id_usuario_picasa){
	$.ajax({
				 type: "POST",
				 url: "usuario_picasa/configurar.php",
				 data: 'id_usuario_picasa='+id_usuario_picasa,
				 beforeSend: function(){$("#pnGerenciarUsuarioPicasa").html(Load()).fadeIn('slow');}, 
				 success: function(R){$("#pnGerenciarUsuarioPicasa").html(R).fadeIn('slow');} ,
				 error: function(R){ $("#pnGerenciarUsuarioPicasa").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnGerenciarUsuarioPicasa").html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax
}

function SalvarUsuarioPicasa(id_usuario_picasa, usuario, ax){
				$.ajax({
				 type: "POST",
				 url: "usuario_picasa/ax.usuario_picasa.php",
				 data: 'ax='+ax+'&id_usuario_picasa='+id_usuario_picasa+'&usuario='+usuario,
				 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');}, 
				 success: function(R){CarregarUsuarioPicasa(R)} ,
				 error: function(R){ $("#pnDados").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnDados").html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax	
}

function DeletarUsuarioPicasa(id_usuario_picasa){
				$.ajax({
				 type: "POST",
				 url: "usuario_picasa/ax.usuario_picasa.php",
				 data: 'ax=Deletar&id_usuario_picasa='+id_usuario_picasa,
				 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');}, 
				 success: function(R){CarregarUsuarioPicasa(0)} ,
				 error: function(R){ $("#pnDados").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnDados").html('ui-state-error ui-corner-all');
									  }
			  }) //fim ajax		
}

</script>

<div id="pnDados">

</div>
<div id="btnControle" align="right">
	<button class="button green small" id="btnLocalizar">Localizar</button>
  <button class="button blue small" id="btnNovo">Novo</button>
    <button class="button white small" id="btnEditar">Editar</button>
    <button class="button white small" id="btnDeleta">Deletar</button>
</div>
<div id="pnGerenciarUsuarioPicasa" title="Gerenciar Usuário Picasa"></div>

<div id="pnLocalizarUsuarioPicasa" title="Localizar Usuário Picasa">
  <table width="500" border="0">
    <tr>
      <th width="128" class="descricao" scope="col">Localizar Usuário</th>
      <th width="362" scope="col">
      	<div align="left"><input name="edtLocUsuarioPicasa" type="text" id="edtLocUsuarioPicasa" size="35" />
         <button class="button white small" id="btnLocDados">Localizar</button>
        </div>
      </th>
    </tr>
  </table>
  <div id="pnResultado"></div>
  
</div>